When /^j'ajoute une fiche correcte pour une nouvelle adhésion$/ do
  @file = subscription_filename_for_id(new_id)
  write_file @file, render_subscription_file(EXTRA_SUBSCRIPTION)
end

When /^j'ajoute une fiche vide$/ do
  @file = subscription_filename_for_id(new_id)
  write_file @file, ''
end

When /^j'ajoute une fiche sans YAML$/ do
  @file = subscription_filename_for_id(new_id)
  write_file @file, <<-EOF.gsub(/^    /, '')
    Ceci est une fiche sans YAML.
  EOF
end

When /^j'ajoute une fiche avec du mauvais YAML$/ do
  @file = subscription_filename_for_id(new_id)
  write_file @file, <<-EOF.gsub(/^    /, '')
    ---
    [This is missing a closing bracket
    ---
  EOF
end
